
From: Rusty Russell <rusty@rustcorp.com.au>

Out by one error broke caching of results in /proc/kallsyms, slowing
reading to a crawl.



 kernel/kallsyms.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/kallsyms.c~proc-kallsyms-caching-fix kernel/kallsyms.c
--- 25/kernel/kallsyms.c~proc-kallsyms-caching-fix	2003-08-27 01:09:31.000000000 -0700
+++ 25-akpm/kernel/kallsyms.c	2003-08-27 01:11:12.000000000 -0700
@@ -190,7 +190,7 @@ static int update_iter(struct kallsym_it
 		reset_iter(iter);
 
 	/* We need to iterate through the previous symbols. */
-	for (; iter->pos <= pos; iter->pos++)
+	for (; iter->pos != pos; iter->pos++)
 		get_ksymbol_core(iter);
 	return 1;
 }

_
